package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdPlanItem;
import com.xmomen.module.base.entity.CdPlanItemExample;
import org.apache.ibatis.annotations.Param;

// 定义CdPlanItemMapper接口，继承MybatisMapper
public interface CdPlanItemMapper extends MybatisMapper {
    // 根据example统计CdPlanItem数量
    int countByExample(CdPlanItemExample example);

    // 根据example删除CdPlanItem
    int deleteByExample(CdPlanItemExample example);

    // 插入CdPlanItem
    int insertSelective(CdPlanItem record);

    // 根据example更新CdPlanItem
    int updateByExampleSelective(@Param("record") CdPlanItem record, @Param("example") CdPlanItemExample example);
}